"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controls_1 = require("@jupyter-widgets/controls");
const version_1 = require("./version");
class DropdownExtendedModel extends controls_1.DropdownModel {
    defaults() {
        return Object.assign(Object.assign({}, super.defaults()), { _model_name: DropdownExtendedModel.model_name, _model_module: DropdownExtendedModel.model_module, _model_module_version: DropdownExtendedModel.model_module_version, _view_name: DropdownExtendedModel.view_name, _view_module: DropdownExtendedModel.view_module, _view_module_version: DropdownExtendedModel.view_module_version });
    }
}
exports.DropdownExtendedModel = DropdownExtendedModel;
DropdownExtendedModel.serializers = Object.assign({}, controls_1.DropdownModel.serializers);
DropdownExtendedModel.model_name = 'DropdownExtendedModel';
DropdownExtendedModel.model_module = version_1.MODULE_NAME;
DropdownExtendedModel.model_module_version = version_1.MODULE_VERSION;
DropdownExtendedModel.view_name = 'DropdownExtendedView';
DropdownExtendedModel.view_module = version_1.MODULE_NAME;
DropdownExtendedModel.view_module_version = version_1.MODULE_VERSION;
class DropdownExtendedView extends controls_1.DropdownView {
    initialize(parameters) {
        super.initialize(parameters);
        this.listenTo(this.model, 'change:_disabled_options_labels', () => this._updateOptions());
    }
    _updateOptions() {
        this.listbox.textContent = '';
        const items = this.model.get('_options_labels');
        const disabled_items = this.model.get('_disabled_options_labels');
        for (let i = 0; i < items.length; i++) {
            const item = items[i];
            const option = document.createElement('option');
            option.textContent = item.replace(/ /g, '\xa0'); // space -> &nbsp;
            option.setAttribute('data-value', encodeURIComponent(item));
            option.disabled = disabled_items.includes(item);
            option.value = item;
            this.listbox.appendChild(option);
        }
    }
}
exports.DropdownExtendedView = DropdownExtendedView;
//# sourceMappingURL=widget.js.map